Page MenuHomePhabricator

Pageviews not loading in Vital Signs
Closed, ResolvedPublic

Description

Pageviews stopped working in Vital Signs:
https://metrics.wmflabs.org/static/public/dash/#projects=frwiki/metrics=DailyPageviews (webstatscollector)
^^ Phab does not parse this link correctly. The parentheses are part of the URI.

Cause:

  • changes in labs had team puppetize wikimetrics
  • now the file permissions need to be set in puppet as well

Event Timeline

kevinator raised the priority of this task from to Low.
kevinator updated the task description. (Show Details)
kevinator added a subscriber: kevinator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 5:44 PM

Change 193256 had a related patch set uploaded (by Nuria):
Changing permits on agreggator depot once downloaded

https://gerrit.wikimedia.org/r/193256

Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.Feb 26 2015, 8:48 PM
ggellerman assigned this task to Nuria.Feb 26 2015, 10:34 PM
ggellerman set Security to None.

Change 193256 abandoned by Nuria:
Changing permits on agreggator depot once downloaded

Reason:
...

https://gerrit.wikimedia.org/r/193256

mforns added a subscriber: mforns.Mar 13 2015, 10:05 PM

@Nuria
As we spoke in tasking meeting I'm looking next at this task.
I see you abandoned the gerrit change. Was this just for priority reasons?
Or there is any blocker?
Thanks!

Change should not be needed according to @Ottomata, but I think it might, that is what it needs to be checked out, whether -via puppet- we need to set up different permits on dir.

mforns claimed this task.Mar 17 2015, 9:11 PM

DailyPageviews files have 600 permits on wikimetrics1 and the web application can not retrieve them.
Whereas the same files in wikimetrics-staging1 have 644 permits and can be retrieved by the web-app.

I tested to give 600 permits on staging to the files, and in fact, after that, wikimetrics-staging web returns the same error as in production.

In staging, puppet, its submodules and private-puppet are up to date.
However, this does not happen in wikimetrics1 (prod), where the last changes dated from Jan 30th 2015 puppet and Dec 2014 in private.

I updated puppet and submodules, but when trying to execute (noop) the puppet agent, it crashes:

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Duplicate declaration: File[/etc/ssh/userkeys] is already declared in file /etc/puppet/private/modules/passwords/manifests/init.pp:36; cannot redeclare at /etc/puppet/modules/ssh/manifests/server.pp:31 on node wikimetrics1.eqiad.wmflabs
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

There's a conflict between a file from the public puppet and another from the private puppet.
I tried to update the private puppet repo, but could not: Permission denied (publickey).

To update private repo:
sudo GIT_SSH=/var/lib/git/ssh git pull --rebase

mforns closed this task as Resolved.Mar 23 2015, 2:06 PM